# xmlpp::ParserInputBuffer Class Reference

Base class for xmlParserInputBuffer wrapper. More...

Inheritance diagram for xmlpp::ParserInputBuffer:

[legend]

List of all members.

## Public Member Functions
| ParserInputBuffer ()
virtual | ~ParserInputBuffer ()
_xmlParserInputBuffer * | cobj ()
| gives an access to the underlying libxml structure to the children
const _xmlParserInputBuffer * | cobj () const
| gives an access to the underlying libxml structure to the children
## Friends
struct | ParserInputBufferCallback

## Detailed Description

Base class for xmlParserInputBuffer wrapper.

It can be herited to create a new output buffer. A child class has to override do_write, and eventually do_close if some actions are required before buffer closing.

## Constructor & Destructor Documentation

xmlpp::ParserInputBuffer::ParserInputBuffer | ( |  | ) |

virtual xmlpp::ParserInputBuffer::~ParserInputBuffer | ( |  | ) | `[virtual]`

## Member Function Documentation

const _xmlParserInputBuffer* xmlpp::ParserInputBuffer::cobj | ( |  | ) | const

gives an access to the underlying libxml structure to the children

_xmlParserInputBuffer* xmlpp::ParserInputBuffer::cobj | ( |  | ) |

gives an access to the underlying libxml structure to the children

## Friends And Related Function Documentation

friend struct ParserInputBufferCallback`[friend]`

The documentation for this class was generated from the following file:

- parserinputbuffer.h